<?php
namespace LMS\Tools\Homework\View;

use LMS\Libraries\Base;

defined('_JEXEC') or die;

class Result extends Base\View
{
	protected $extension = 'com_joomla_lms';
	protected $viewName = 'Result';

	public function __construct($config=array())
	{
		$this->viewDir = __DIR__;
		parent::__construct($config);
	}

	public function display($tpl = null)
	{
		return parent::display($tpl);
	}

	public function show()
	{
		$modelResult = $this->getModel('Result');

		$this->item = $modelResult->getItem();
		$this->form = $modelResult->getForm();
		$this->state = $modelResult->getState();
		$this->toolbar = $this->getToolbar();
		$this->toolbarGrade = $this->getToolbarGrade();

		echo '<pre>';
		print_r($this->item);
		echo '</pre>';

		$suffix = 'offline';
		if($this->item->homework->activity_type == 1){
			$suffix = 'offline';
		}
		if($this->item->homework->activity_type == 2){
			$suffix = 'write';
		}
		if($this->item->homework->activity_type == 3){
			$suffix = 'upload';
		}
		$this->activity_tmpl = $suffix;

		$this->display();
	}

	protected function getToolbar()
	{
		$toolbar = new \LMS\Widgets\ContentToolbar();
		$toolbar->addBackButton( array('href'=>'javascript: Joomla.submitbutton(\'homework.result.cancel\')') );
		$state = isset($this->item->hw_status) ? $this->item->hw_status : 0;
		if($state){
			$toolbar->addToggleButton(
				array(
					'state' => $state,
					'statesassoc' => array(
						1 => array('title'=>'', 'icon'=>'eye', 'href'=>'javascript: Joomla.submitbutton(\'homework.result.seen\')'),
						2 => array('title'=>'', 'icon'=>'eye-close', 'href'=>'javascript: Joomla.submitbutton(\'homework.result.notseen\')'),
						3 => array('title'=>'', 'icon'=>'checkmark-2')
					)
				)
			);
		}
		return $toolbar;
	}

	protected function getToolbarGrade()
	{
		$toolbar = new \LMS\Widgets\ContentToolbar();
		$toolbar->addSaveButton( array('href'=>'javascript: Joomla.submitbutton(\'homework.result.check\')') );
		return $toolbar;
	}

}