<?php
namespace LMS\Tools\Coursebuilder\View;

use LMS\Libraries\Base;
use LMS\Libraries\ServiceLocator;

defined('_JEXEC') or die;

class Module extends Base\View
{
	protected $extension = 'com_joomla_lms';
	protected $viewName = 'Module';
	protected $form;
	protected $item;
	protected $state;

	public function __construct($config=array())
	{
		$this->viewDir = __DIR__;
		
		$this->doc	= ServiceLocator::get('doc');
		
		parent::__construct($config);
	}

	public function display($tpl = null)
	{
		return parent::display($tpl);
	}

	public function edit()
	{		
		$model = $this->getModel('Module');
		
		$this->form = $model->getForm('module');		
		$this->item = $model->getItem();	
		$this->state = $model->getState();
		
		$lang = \JFactory::getLanguage();		
		$lang->load((string)$this->item->xml->name);
			
		$contentToolbar = $this->widget('contenttoolbar');
		$contentToolbar->addCustomButton(array('href' => 'javascript:Joomla.submitbutton(\'coursebuilder.module.save\')', 'title'=> \JText::_('_JLMS_SAVE'), 'class' => 'btn-primary' ));
		$contentToolbar->addCustomButton(array('href' => 'javascript:window.parent.SqueezeBox.close();', 'title'=> \JText::_('_JLMS_CANCEL')));
						
		$this->setLayout('edit');
		$this->display();
	}

}