<?php
namespace LMS\Tools\Mailbox\Tables;

use LMS\Libraries\Base;

class MessageConfiguration extends Base\Table
{	
	protected $alias = 'mailconfig';
	
	protected $fieldMap = array(
		'name' => 'message_conf',
		'value' => 'message_value',
	);
	
	function __construct(&$db)
	{
		parent::__construct( '#__lms_message_configuration', 'id', $db );		
	}
}
?>